hello, After having read much here, I write my first lisps with odbx, this kind of little routine : (defun c:odbx_freeze_layers ( / File1 odbx ) (setq File1 (getfiled "Selection du fichier" "C:/traitement/" "dwg" 0 )) (setq odbx (vla-getinterfaceobject (vlax-get-acad-object) "ObjectDBX.AxDbDocument.16")) (vla-open odbx File1 ) (princ " Calques gelés :") (vlax-for layer (vla-get-Layers odbx ) (vla-put-Freeze layer :vlax-true) (princ (strcat " " (vla-get-name layer))) ) (vla-saveas odbx File1 ) (vlax-release-object odbx) ) but i can't find any answer about how to modify a variable (I sought with google, google group ect, here...). with vl I use someting like : (vl-load-com) (setq thisdrawing (vla-get-activedocument (vlax-get-acad-object))) (vla-GetVariable thisdrawing "fillmode") (vla-SetVariable thisdrawing "fillmode" 0 ) or (vla-get-name (vla-get-activelayer thisdrawing )) but : (vla-get-name (vla-get-activelayer odbx )) doesn't work and everything that needs (vla-get-activedocument... too second point, I tried to use AuditInfo method, but without any success via odbx because i need (vla-get-activedocument. (vla-AuditInfo thisdrawing :vlax-true) works Any help is welcome. thx, My english writing is bad, but i will understand you Bruno Toniutti.